[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SECURITY] CVE-2007-6286: Tomcat duplicate request processing vulnerability



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

CVE-2007-6286: Tomcat duplicate request processing vulnerability

Severity: Important

Vendor:
The Apache Software Foundation

Versions Affected:
Tomcat 5.5.11 to 5.5.25
Tomcat 6.0.0 to 6.0.15

Description:
When using the native (APR based) connector, connecting to the SSL port
using netcat and then disconnecting without sending any data will cause
tomcat to handle a duplicate copy of one of the recent requests.

Mitigation:
6.0.x users should upgrade to 6.0.16 which includes version 1.1.12 of the
native connector.
5.5.x users should upgrade to 5.5.26 which includes version 1.1.12 of the
native connector.

Example:
See description.

Credit:
This issue was discovered by System Core (http://www.systemcore.ca/).

References:
http://tomcat.apache.org/security.html
http://tomcat.apache.org/security-5.html
http://tomcat.apache.org/security-6.html

The Apache Tomcat Security Team
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHrOcwb7IeiTPGAkMRAq+NAJ45EswKdmWWGfG8r1pr+8TMXzBHCgCePkK0
SYpXhEieSJHQcsO/rxN0ylY=
=JK4t
-----END PGP SIGNATURE-----